Navigation

Billers

Search and retrieve billers in the BillerAPI network. Use these endpoints to discover available billers, search by email domain, or retrieve details for a specific biller.

Related guide: Link a Biller Account

The Biller object

Attributes

FieldTypeDescription
id*stringUnique biller identifier
name*stringDisplay name of the biller
type*stringBiller category: UTILITY, FINANCIAL, GOVERNMENT, TELECOM, INSURANCE
status*stringACTIVE, INACTIVE, or MAINTENANCE
credentials_required*booleanWhether the biller requires user credentials to link
mfa_required*booleanWhether multi-factor authentication is needed
descriptionstringHuman-readable description of the biller
logo_urlstringURL to the biller logo image
website_urlstringBiller website URL
Example Biller object
JSON
{
  "id": "test_electric_company",
  "name": "Test Electric Company",
  "type": "UTILITY",
  "status": "ACTIVE",
  "credentials_required": true,
  "mfa_required": false,
  "description": "Simulated electric utility biller"
}
GET/billers

List billers with optional filtering and pagination.

Query Parameters

FieldTypeDescription
search_termstringFilter billers by name
statusstringFilter by status: ACTIVE, INACTIVE
typestringFilter by type: UTILITY, FINANCIAL, etc.
pageintegerPage number (default: 1)
page_sizeintegerResults per page (default: 10, max: 100)
Response
{
  "billers": [Biller],
  "total": 5,
  "page": 1,
  "page_size": 10
}
curl https://sandbox.api.billerapi.com/billers \
  -H "X-Client-ID: your_client_id" \
  -H "X-Client-Secret: your_client_secret"
GET/billers/:id

Retrieve a specific biller by ID.

Path Parameters

FieldTypeDescription
id*stringThe biller ID
curl https://sandbox.api.billerapi.com/billers/test_electric_company \
  -H "X-Client-ID: your_client_id" \
  -H "X-Client-Secret: your_client_secret"
GET/billers/search/by-email

Search for billers associated with an email address. Useful for discovering which billers a user might have based on their email domain.

Query Parameters

FieldTypeDescription
email*stringEmail address to search for biller matches
curl "https://sandbox.api.billerapi.com/billers/search/by-email?email=user@example.com" \
  -H "X-Client-ID: your_client_id" \
  -H "X-Client-Secret: your_client_secret"